---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: &app stirling-pdf
  namespace: &namespace utilities
spec:
  targetNamespace: *namespace
  commonMetadata:
    labels:
      app.kubernetes.io/name: *app
  components:
    - ../../../../flux/components/gatus/internal
    - ../../../../flux/components/volsync
  interval: 10m
  path: ./kubernetes/apps/utilities/stirling-pdf/app
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-system
    namespace: flux-system
  wait: false
  dependsOn:
    - name: external-secrets-stores
      namespace: external-secrets
    - name: rook-ceph-cluster
      namespace: rook-ceph
  postBuild:
    substitute:
      APP: *app
      GATUS_SUBDOMAIN: pdf
      VOLSYNC_CAPACITY: 5Gi
